from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XNumberingTypeInfo(XInterface, Protocol):
    def getSupportedNumberingTypes(self) -> list[int]: ...
    def getNumberingType(self, NumberingIdentifier: instring) -> int: ...
    def hasNumberingType(self, NumberingIdentifier: instring) -> bool: ...
    def getNumberingIdentifier(self, NumberingType: inshort) -> str: ...
